all: scanner json2db

ifeq ("$(wildcard /usr/include/sqlite3.h)","")
	@echo "Install libsqlite3-dev"
	@false
endif

scanner: scanner.c
	gcc -o scanner scanner.c -lm -lsqlite3

json2db: json2db.c
	gcc -o json2db json2db.c -lm -lsqlite3

clean:
	rm scanner
